## file 3.20.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for file(1) cmd. 
 # Copyright (c) Ian F. Darwin 86/09/01 - see LEGAL.NOTICE.
-# @(#)$Id: Makefile,v 1.49 1995/10/27 23:12:33 christos Exp $
+# @(#)$Id: Makefile,v 1.51 1996/06/22 22:05:07 christos Exp $
 #
 # This software is not subject to any license of the American Telephone
 # and Telegraph Company or of the Regents of the University of California.
@@ -21,21 +21,30 @@
 #    ever read sources, credits must appear in the documentation.
 #
 # 4. This notice may not be removed or altered.
-VERSION	= 3.19
+
+# Optimized for Linux because sunsite.unc.edu, tsx-11.mit.edu,
+# ftp.redhat.com, ftp.funet.fi, and other Linux sites never get
+# a copy uploaded to them. Most still had 3.15 + a patch at the
+# time of this hack.  --  Albert Cahalan <acahalan@cs.uml.edu>
+
+# Was 3.20, number changed as requested.
+VERSION	= 3.20.1
 SHELL	= /bin/sh
-#MAGIC	= /etc/magic
-MAGIC	= /usr/local/etc/magic
+MAGIC	= /etc/magic
+#MAGIC	= /usr/local/etc/magic
+
 DEFS	= -DMAGIC='"$(MAGIC)"' # -Dvoid=int
-CC	= cc
-COPTS	= -O -g		# newer compilers allow both; else drop -O
-# For truly antique environments, use this for (dummy) include files:
-COPTS	= -O # -Ilocalinc
+CC	= gcc
+COPTS	= -s -O2 -fno-strength-reduce -fomit-frame-pointer
 CFLAGS	= $(COPTS) $(DEFS)
 LDFLAGS	= $(COPTS) # -Bstatic	# older gdb couldn't handle shared libs
+
 SHAR	= bundle
 OFILE	= /usr/bin/file		# old or distributed version, for comparison
+
 # Where new binary lives; typically /usr/local (BSD), /usr/lbin (USG).
-BINDIR	= /usr/local/bin
+BINDIR	= /usr/bin
+
 # For installing our man pages; 
 # MANCxxx is manual section for Commands, MANFxxx is section for file formats.
 # MANxDIR is directory names; MANxEXT is the filename extention. Usual values:
@@ -56,8 +65,8 @@
 
 MANCDIR	= /usr/local/man/man1
 MANCEXT	= 1
-MANFDIR	= /usr/local/man/man4
-MANFEXT	= 4
+MANFDIR	= /usr/local/man/man5
+MANFEXT	= 5
 
 # There are no system-dependant configuration options (except maybe CFLAGS).
 # Uncomment any of these that is missing from your "standard" library.
@@ -121,12 +130,14 @@
 		@rm -f $@
 		sed -e s@__CSECTION__@${MANCEXT}@g \
 		    -e s@__FSECTION__@${MANFEXT}@g \
+		    -e s@__VERSION__@${VERSION}@g \
 		    -e s@__MAGIC__@${MAGIC}@g magic.man > $@
 
 file.${MANCEXT} :	Makefile file.man
 		@rm -f $@
 		sed -e s@__CSECTION__@${MANCEXT}@g \
 		    -e s@__FSECTION__@${MANFEXT}@g \
+		    -e s@__VERSION__@${VERSION}@g \
 		    -e s@__MAGIC__@${MAGIC}@g file.man > $@
 
 send:		dist
