## file 4.12-2osso

=== debian/changelog ===
file (4.12-2osso) unstable; urgency=low

  * Some packages depend on this one ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Sun, 24 Mar 2013 08:13:45 +0100

file (4.12-1osso) unstable; urgency=low

  * don't copy libtool from /usr/bin

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 13 Oct 2006 15:31:32 +0300

file (4.12-1) unstable; urgency=high

  * New upstream version. Closes: #283316, a potential stack smash in ELF
    header parsing. Urgency set to high.
  * /etc/magic is read, as it should (Closes: #279324)
  * No further changes to increase the slim chance of getting into Sarge.

 -- Michael Piefel <piefel@debian.org>  Mon, 06 Dec 2004 10:42:47 +0100

file (4.10-3) unstable; urgency=high

  * The “for the love of Branden” release.
  * Urgency high in a vain attempt to get this into sarge.
  * Fix MIME detection for 3DS (actually, remove it because it was hilarious,
    closes: #216368)
  * Do _not_ depend on gcc-3.4

 -- Michael Piefel <piefel@debian.org>  Fri, 30 Jul 2004 11:14:48 +0200

file (4.10-2) unstable; urgency=medium

  * Fix multibyte vs. byte issue in files-from (closes: #261799)

 -- Michael Piefel <piefel@debian.org>  Wed, 28 Jul 2004 11:40:53 +0200

file (4.10-1) unstable; urgency=low

  * New upstream version.
    - No more doubling of file names with -z (closes: #260393)
  * New magic for SLL16 (closes: #249190)
  * New magic for SVN dumps (closes: #256652)
  * Patch for error return code on non-existant files
    (courtesy of Federico Grau, closes: #257805)

 -- Michael Piefel <piefel@debian.org>  Mon, 26 Jul 2004 12:58:40 +0200

file (4.09-1) unstable; urgency=low

  * New upstream version. This includes almost every patch that the Debian
    version had, so this package is very close to upstream's.
  * Disable some more Apple magic (closes: #231476); curiously, most of the
    Apple magic is very weak.
  * Disable very weak Assembler magic (closes: #223328)
  * Disable weak AWK magic (closes: #223282)
  * Added DjVu magic (closes: #238570)
  * Removed erroneous 5th column in magic.mime (closes: #246428)
  * Better error report messages in two places (closes: #243446, #252951)
  * Use /etc/magic again (failed to touch Makefile.in, closes: #231306)

 -- Michael Piefel <piefel@debian.org>  Fri, 11 Jun 2004 14:35:30 +0200

file (4.07-2) unstable; urgency=low

  * Move the "debian-additions" magic file back in; it got lost
  * Move up "compress" in the list to test for gzip before FLI; this
    closes: #228391 - but what happens if I have a real FLI file that
    starts with the two gzip magic bytes?
  * Replace the really bad magic for MP3 in magic.mime with the one found
    in "animation" (closes: #227625)

 -- Michael Piefel <piefel@debian.org>  Tue, 20 Jan 2004 11:57:47 +0100

file (4.07-1) unstable; urgency=low

  * New upstream
  * do not loop endlessly when encountering zero-length section offsets in ELF
    headers (closes: #226289)

 -- Michael Piefel <piefel@debian.org>  Wed, 14 Jan 2004 10:54:32 +0100

file (4.06-2) unstable; urgency=low

  * Unified HTML detection for normal and mime; handles the main complaint of
    #223340, but not all of it.
  * Added Hangul Word Processor File (closes: #219867)
  * Added Outlook personal folder (closes: #183764)
  * Added Mobipocket e-book (closes: #222855)
  * Added BIOS ROM dumps (closes: #150880)
  * Added some Doom and Quake (closes: #135671)
  * Added Sun/Cobalt boot ROMs (closes: #216867)
  * Made VMware magic more robust and (hopefully) correct (closes: #219037);
    file used to report nothing at all, due to an empty description string and
    heavy reliance on the subtype (which didn't match)

 -- Michael Piefel <piefel@debian.org>  Fri, 12 Dec 2003 13:25:34 +0100

file (4.06-1) unstable; urgency=low

  * New upstream.
    - Return error for non-existant files (closes: #215801)
    - Adds BitTorrent (closes: #201301)
  * Fix minor AAC typo (closes: #215052)
  * More QuickTime subformats (closes: #198809)
  * Rearrange Flac detection (closes: #213693)
  * Improved CAB detection (closes: #208926, #205431)
  * Added Netscape Bookmarks (closes: #207344)
  * Added DACT (closes: #195882)
  * Added GCC precompiled headers (closes: #204304)
  * Added GEOS (closes: #162852)
  * Added HVQM4 (Still counting, Mark? Closes: #151138)

 -- Michael Piefel <piefel@debian.org>  Fri, 17 Oct 2003 12:40:54 +0200

file (4.04-1) unstable; urgency=low

  * New upstream
  * add MAXPATHLEN to apprentice.c in order to make it build on the
    Hurd (closes: #212215)
  * add TFMX (closes: #151217, as the rest was already there)
  * recognize PO files (closes: #138423)

 -- Michael Piefel <piefel@debian.org>  Tue, 23 Sep 2003 17:06:48 +0200

file (4.03-3) unstable; urgency=low

  * more and better magic:
    - added Python 2.3 byte-compiled
    - corrected magic for HFS+ (closes: #207576)
    - fixed XML magic and added to MIME magic (closes: #186613)
    - added Xbox magic (closes: #183432)
    - remove ", English" from MIME type output (closes: #160415)
    - remove the vain attempts to guess the size of JPEG files as they are
      either wrong or confusing (sort of closes: #74938, #153833, #198053)
    - add Gnumeric magic to both normal and MIME magic; note you still have to
      pass -z to file (closes: #205708, #206756)
    - remove compresse MIME types (related to #170981)
    - add ACE archiver (closes: #178807)
  * add more descriptive message for unreadable files (closes: #203168)
  * rearranges header inclusions so that configuration is the same in all
    compiled files (closes: #208785)
  * fix the long-standing crash-on-compressed bug (closes: #197442, #207458)

 -- Michael Piefel <piefel@debian.org>  Fri, 05 Sep 2003 11:59:54 +0200

file (4.03-2) unstable; urgency=low

  * Compressed Flash (closes: #179640), also for MIME (closes: #186946)
  * Added GPG (closes: #197646) and JFFS2 (closes: #188780);
    accidentally also closes: #203158 (debian-additions not empty anymore)


