## file 5.08

=== debian/changelog ===
file (5.08-1) unstable; urgency=low

  [ Judit Foglszinger ]
  * Merging upstream version 5.08 (Closes: #612742, #619225, #626340).

  [ Daniel Baumann ]
  * Adding patch from Sylvain Rabot <sylvain@abstraction.fr> to add
    detection for shell scripts using /usr/bin/env in their shebang.
  * Removing magic-update-awk.patch, went upstream.
  * Removing magic-update-bash.patch, went upstream.
  * Removing magic-update-reiserfs.patch, went upstream.
  * Removing magic-update-tcsh.patch, went upstream.
  * Removing magic-update-zip.patch, went upstream.
  * Removing magic-update-real.patch, went upstream.
  * Removing magic-update-os2.patch, went upstream.
  * Removing magic-update-digifax.patch, went upstream.
  * Removing magic-update-mono.patch, went upstream.
  * Removing magic-update-pfm.patch, went upstream.
  * Removing magic-update-ocaml.patch, went upstream.
  * Removing magic-update-linuxswap.patch, went upstream.
  * Removing magic-update-linuxext.patch, went upstream.
  * Removing magic-update-llvm.patch, went upstream.
  * Removing magic-update-gimp.patch, went upstream.
  * Removing magic-update-wav.patch, went upstream.
  * Removing magic-update-z-machine.patch, went upstream.
  * Removing magic-update-xwd.patch, went upstream.
  * Removing magic-update-utf.patch, went upstream.
  * Removing magic-update-spectrum.patch, went upstream.
  * Removing magic-update-tgif.patch, went upstream.
  * Removing magic-update-truetype.patch, went upstream.
  * Removing magic-update-7zip.patch, went upstream.
  * Removing magic-update-lzma.patch, went upstream.
  * Removing magic-update-xz.patch, went upstream.
  * Removing magic-update-qemu.patch, went upstream.
  * Removing magic-update-psf2.patch, went upstream.
  * Removing magic-update-dyatic.patch, went upstream.
  * Removing magic-update-bio-rad.patch, went upstream.
  * Removing magic-update-icon.patch, went upstream.
  * Removing magic-add-par2.patch, went upstream.
  * Removing magic-add-pe5.patch, went upstream.
  * Removing magic-add-pdmenu.patch, went upstream.
  * Removing magic-add-powertab.patch, went upstream.
  * Removing magic-add-scummvm.patch, went upstream.
  * Removing magic-add-sgf.patch, went upstream.
  * Removing magic-add-sisu.patch, went upstream.
  * Removing magic-add-snes.patch, went upstream.
  * Removing magic-add-ssh.patch, went upstream.
  * Removing magic-add-ssl.patch, went upstream.
  * Removing magic-add-subversion.patch, went upstream.
  * Removing magic-add-supercollider.patch, went upstream.
  * Removing magic-add-xen.patch, went upstream.
  * Removing magic-add-xcursor.patch, went upstream.
  * Removing magic-add-freemind.patch, went upstream.

  [ Judit Foglszinger ]
  * Removing magic-add-qdbm.patch, went upstream.
  * Removing magic-add-tokyocabinet.patch, went upstream.
  * Removing magic-add-cromfs.patch, went upstream.
  * Removing magic-add-scribus.patch, went upstream.
  * Removing magic-add-selinux.patch, went upstream.
  * Removing magic-add-bzr.patch, went upstream.
  * Removing magic-add-git.patch, went upstream.
  * Removing magic-add-nut.patch, went upstream.
  * Removing magic-add-blcr.patch, went upstream.
  * Removing magic-add-lyx.patch, went upstream.
  * Removing magic-add-bacula.patch, went upstream.
  * Removing magic-add-olympus.patch, went upstream.
  * Removing magic-add-mdmp.patch, went upstream.
  * Removing magic-add-gstreamer.patch, went upstream.
  * Removing magic-add-xfsdump.patch, went upstream.
  * Removing magic-add-delta-iso.patch, went upstream.
  * Removing magic-add-delta-rpm.patch, went upstream.
  * Removing magic-add-avchd.patch, went upstream.
  * Removing magic-add-chiasmus.patch, went upstream.
  * Removing magic-add-hdr.patch, went upstream.
  * Removing magic-add-foveon-x3f.patch, went upstream.
  * Removing magic-add-paint-net.patch, went upstream.
  * Removing magic-add-dact.patch, went upstream.
  * Removing magic-add-datafork.patch, went upstream.
  * Removing magic-add-pdb.patch, went upstream.
  * Removing magic-add-gdsii.patch, went upstream.
  * Removing magic-add-canon.patch, went upstream.
  * Removing magic-add-jfs.patch, went upstream.
  * Removing magic-add-git-index.patch, went upstream.
  * Removing magic-add-erlang.patch, went upstream.
  * Removing magic-add-epub.patch, went upstream.
  * Removing magic-add-shebang.patch, went upstream.
  * Removing manpages-typo.patch, went upstream.
  * Removing manpages-typo2.patch, went upstream.
  * Removing manpages-typo3.patch, went upstream.
  * Removing file-coredump.patch, went upstream.
  * Updating file-localmagic.patch to apply cleanly after upstream
    changes.
  * Updating doc-manpages.patch to apply cleanly after upstream changes.
  * Removing conglomeration.patch, went upstream.
  * Removing file-python.patch, not needed anymore.
  * Removing unused lintian override.
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magic for BBeB ebooks (Closes: #624585).
  * Refusing to copy patchlevel.h in rules due to it's upstream removal.
  * Modifiing file-make.patch to apply after upstream changes.
  * Updating standards version to 3.9.2.
  * Adding patch from Julian Taylor <jtaylor.debian@googlemail.com> to
    switch from dh_pysupport to dh_python2 (Closes: #637149).

  [ Daniel Baumann ]
  * Updating to debhelper version 8.
  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Switching to source format version 3.0 (quilt).
  * Also removing superfluous pycompat file.
  * Compacting copyright file.
  * Updating years in copyright file.
  * Renumbering remaining patches.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Sep 2011 18:24:15 +0200

file (5.04-6) experimental; urgency=low

  [ Judit Foglszinger ]
  * Fixing incorrect argument in manpage (Closes: #524648).
  * Fixing typo in output for x-icon (Closes: #593488).

  [ Daniel Baumann ]

