=== debian/control ===
Source: file
Section: utils
Priority: standard
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: Judit Foglszinger <fgrfgr@freenet.de>
Build-Depends:
 debhelper (>= 8), autotools-dev, python (>= 2.6.6-3~),
 python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.6.6-3~),
 zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://www.darwinsys.com/file/

Package: file
Section: utils
Priority: standard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libmagic1 (= ${binary:Version})
Description: Determines file type using "magic" numbers
 File tests each argument in an attempt to classify it. There are three sets of
 tests, performed in this order: filesystem tests, magic number tests, and
 language tests. The first test that succeeds causes the file type to be
 printed.

Package: libmagic1
Section: libs
Priority: standard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: file (<< 5.04-2)
Suggests: file
Description: File type determination library using "magic" numbers
 This library can be used to classify files according to magic number tests. It
 implements the core functionality of the file command.

Package: libmagic-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${misc:Depends}, libmagic1 (= ${binary:Version})
Suggests: file
Description: File type determination library using "magic" numbers (development)
 This library can be used to classify files according to magic number tests. It
 implements the core functionality of the file command.
 .
 This package contains the development files.

Package: python-magic
Section: python
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Provides: ${python:Provides}
Suggests: python-magic-dbg
Description: File type determination library using "magic" numbers (Python bindings)
 This library can be used to classify files according to magic number tests. It
 implements the core functionality of the file command.
 .
 This package contains the Python bindings.

Package: python-magic-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, ${shlibs:Depends}, python-magic (= ${binary:Version}),
 python-dbg
Description: File type determination library using "magic" numbers (Python bindings/debug)
 This library can be used to classify files according to magic number tests. It
 implements the core functionality of the file command.
 .
 This package contains the Python bindings, built for the Python debug
 interpreter.
