## file 5.09

=== debian/changelog ===
file (5.09-2ubuntu0.8) precise-security; urgency=medium

  [ Marc Deslauriers ]
  * SECURITY UPDATE: buffer overflow via CDF_VECTOR elements
    - debian/patches/CVE-2019-18218.patch: limit the number of elements in
      a vector in src/cdf.*.
    - CVE-2019-18218

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 31 Oct 2019 11:42:33 -0300

file (5.09-2ubuntu0.7) precise-security; urgency=medium

  * SECURITY UPDATE: memory corruption in file_check_mem.
    - debian/patches/CVE-2015-8865.patch: properly calculate length in
      src/funcs.c.
    - CVE-2015-8865
  * SECURITY UPDATE: out-of-bounds read via crafted ELF file
    - debian/patches/CVE-2018-10360.patch: add bounds check to
      src/readelf.c.
    - CVE-2018-10360

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 28 Jun 2018 13:23:50 -0300

file (5.09-2ubuntu0.6) precise-security; urgency=medium

  * SECURITY UPDATE: DoS via insufficient note headers
    - debian/patches/CVE-2014-3710.patch: handle running out of not headers
      in src/readelf.c.
    - CVE-2014-3710
  * SECURITY UPDATE: DoS in ELF parser
    - debian/patches/CVE-2014-8116.patch: limit number of headers and
      capabilities in src/elfclass.h, src/readelf.c.
    - CVE-2014-8116
  * SECURITY UPDATE: DoS via missing recursion limits
    - debian/patches/CVE-2014-8117.patch: lower recursion level and allow
      it to be set from the command line in src/file.{c,h},
      src/file_opts.h, src/funcs.c, src/magic.c, src/magic.h,
      src/softmagic.c, add new option to documentation in
      doc/file.man, doc/libmagic.man.
    - CVE-2014-8117
  * SECURITY UPDATE: DoS via long pascal strings
    - debian/patches/pr398-truncate-pascal-strings.patch: correctly
      calculate size in src/softmagic.c.
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Jan 2015 10:10:29 -0500

file (5.09-2ubuntu0.5) precise-security; urgency=medium

  * SECURITY UPDATE: buffer underflow in CDF file identification
    - debian/patches/CVE-2014-3587.patch: modify src/cdf.c to detect and
      abort on buffer underflows.
    - CVE-2014-3587

 -- Seth Arnold <seth.arnold@canonical.com>  Wed, 27 Aug 2014 23:34:57 -0700

file (5.09-2ubuntu0.4) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via awk rule backtracking
    - debian/patches/CVE-2013-7345.patch: limit to 100 repetitions in
      magic/Magdir/commands.
    - CVE-2013-7345
  * SECURITY UPDATE: denial of service in cdf_read_short_sector
    - debian/patches/CVE-2014-0207.patch: properly calculate sizes in
      src/cdf.c.
    - CVE-2014-0207
  * SECURITY UPDATE: denial of service in mconvert
    - debian/patches/CVE-2014-3478.patch: properly handle truncated pascal
      string size in src/softmagic.c.
    - CVE-2014-3478
  * SECURITY UPDATE: denial of service in cdf_check_stream_offset
    - debian/patches/CVE-2014-3479.patch: properly calculate sizes in
      src/cdf.c.
    - CVE-2014-3479
  * SECURITY UPDATE: denial of service in cdf_count_chain
    - debian/patches/CVE-2014-3480.patch: properly calculate sizes in
      src/cdf.c.
    - CVE-2014-3480
  * SECURITY UPDATE: denial of service in cdf_read_property_info
    - debian/patches/CVE-2014-3487.patch: properly calculate sizes in
      src/cdf.c.
    - CVE-2014-3487
  * SECURITY UPDATE: denial of service via awk rule backtracking
    - debian/patches/CVE-2014-3538.patch: allow specifying lengths for
      regex in src/apprentice.c, src/file.h, src/softmagic.c, adjust
      existing expressions in magic/Magdir/commands, magic/Magdir/fortran,
      magic/Magdir/graphviz, magic/Magdir/marc21, magic/Magdir/scientific,
      magic/Magdir/troff, update manpage in doc/magic.man.
    - CVE-2014-3538

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 10 Jul 2014 12:00:51 -0400

file (5.09-2ubuntu0.3) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted offset in PE executable
    - debian/patches/CVE-2014-2270.patch: check bounds in src/softmagic.c.
    - CVE-2014-2270

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 03 Apr 2014 13:34:02 -0400

file (5.09-2ubuntu0.2) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted CDF file
    - debian/patches/CVE-2012-1571.patch: 
    - CVE-2012-1571
  * SECURITY UPDATE: denial of service via crafted indirect offset value
    - debian/patches/CVE-2013-1943.patch: properly handle recursion in
      src/ascmagic.c, src/file.h, src/funcs.c, src/softmagic.c.
    - CVE-2013-1943

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 26 Feb 2014 10:10:03 -0500

file (5.09-2) unstable; urgency=low

  * Adding build-arch and build-indep to rules.
  * Adding libmagic1 to depends of python-magic (Closes: #646004).

 -- Judit Foglszinger <fgrfgr@freenet.de>  Fri, 21 Oct 2011 17:46:24 +0000

file (5.09-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Removing pre-squeeze conflicts against file in libmagic1.
  * Removing pre-squeeze version from python build-depends.
  * Merging upstream version 5.09.

  [ Judit Foglszinger ]
  * Removing magic-add-lrf.patch, went upstream.
  * Renaming doc-manpages.patch.

 -- Judit Foglszinger <fgrfgr@freenet.de>  Sun, 09 Oct 2011 12:12:45 +0000
