=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: file
 Section: utils
 Priority: standard
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Uploaders: Judit Foglszinger <fgrfgr@freenet.de>
 Build-Depends:
- debhelper (>= 8), autotools-dev, python (>= 2.6.6-3~),
- python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.6.6-3~),
+ debhelper (>= 8), autotools-dev, python, python-all-dev, python-all-dbg,
  zlib1g-dev
 Standards-Version: 3.9.2
 Homepage: http://www.darwinsys.com/file/
@@ -26,7 +26,6 @@
 Priority: standard
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: file (<< 5.04-2)
 Suggests: file
 Description: File type determination library using "magic" numbers
  This library can be used to classify files according to magic number tests. It
@@ -48,7 +47,9 @@
 Section: python
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
+Depends:
+ ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
+ libmagic1 (= ${binary:Version})
 Provides: ${python:Provides}
 Suggests: python-magic-dbg
 Description: File type determination library using "magic" numbers (Python bindings)
