=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: file
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Uploaders: Judit Foglszinger <fgrfgr@freenet.de>
 Build-Depends:
- debhelper (>= 8), autotools-dev, python, python-all-dev, python-all-dbg,
- zlib1g-dev
+ debhelper (>= 8.1.3), dpkg-dev (>= 1.16), autotools-dev, python,
+ python-all-dev, python-all-dbg, zlib1g-dev
 Standards-Version: 3.9.2
 Homepage: http://www.darwinsys.com/file/
 
@@ -14,6 +13,7 @@
 Section: utils
 Priority: standard
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, libmagic1 (= ${binary:Version})
 Description: Determines file type using "magic" numbers
  File tests each argument in an attempt to classify it. There are three sets of
@@ -25,6 +25,8 @@
 Section: libs
 Priority: standard
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: file
 Description: File type determination library using "magic" numbers
@@ -35,6 +37,7 @@
 Section: libdevel
 Priority: optional
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libmagic1 (= ${binary:Version})
 Suggests: file
 Description: File type determination library using "magic" numbers (development)
